Skip to content
BleemeoBleemeo

Update a suggestion status

PATCH
/v1/suggestion/{id}/
curl --request PATCH \
--url https://example.com/v1/suggestion/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "status": 0, "applied_object_ids": "example" }'

The client-writable fields are status — mark a suggestion applied after accepting it, or dismissed to never see it again — and applied_object_ids, the ids of the objects created by accepting it (silences, flappy configuration…).

id
required
string format: uuid

A UUID string identifying this suggestion.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
string format: uuid
kind
  • 0 - silence
  • 1 - flappy
  • 2 - threshold
integer
Allowed values: 0 1 2
status
  • 0 - pending
  • 1 - applied
  • 2 - dismissed
  • 3 - stale
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3
metric
string format: uuid
nullable
agent
string format: uuid
nullable
target_label
string
reason
string
payload
cluster_size
integer
representative_event
string format: uuid
nullable
first_detected_at
string format: date-time
last_confirmed_at
string format: date-time
nullable
resolved_at
string format: date-time
nullable
applied_object_ids
resolved_by
string format: uuid
nullable
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
kind
required
  • 0 - silence
  • 1 - flappy
  • 2 - threshold
integer
Allowed values: 0 1 2
status
  • 0 - pending
  • 1 - applied
  • 2 - dismissed
  • 3 - stale
integer
>= -2147483648 <= 2147483647
Allowed values: 0 1 2 3
metric
required
string format: uuid
nullable
agent
required
string format: uuid
nullable
target_label
required
string
reason
required
string
payload
required
cluster_size
required
integer
representative_event
required
string format: uuid
nullable
first_detected_at
required
string format: date-time
last_confirmed_at
required
string format: date-time
nullable
resolved_at
required
string format: date-time
nullable
applied_object_ids
resolved_by
required
string format: uuid
nullable

Example

{
"kind": 0,
"status": 0
}